Intel® Data Analytics Acceleration Library 2019 System Requirements

Please see the following links to the online resources and documents for the latest information regarding Intel® DAAL:

System Requirements

The Intel® DAAL supports the IA-32 and Intel® 64 architectures. For a complete explanation of these architecture names please read the following article:
Intel Architecture Platform Terminology for Development Tools.

The lists below pertain only to the system requirements necessary to support application development with Intel® DAAL. Please review your compiler (gcc*, Microsoft Visual Studio* or Intel® C++ Compiler ) hardware and software system requirements, in the documentation provided with that product to determine the minimum development system requirements necessary to support your compiler product.

Windows* OS

Supported Operating Systems

  • Windows 10* 
  • Windows 8*
  • Windows 8.1* 
  • Windows 7* - Note: SP1 is required for use of Intel® AVX instructions
  • Windows Server* 2012 
  • Windows Server* 2016

Supported C/C++* compilers for Windows* OS:

  • Intel® C++ Compiler 17.0 and later for Windows* OS
  • Microsoft Visual Studio* 2013 and later - help file and environment integration

Supported Java* compilers:

  • Java* SE 7 and later from Sun Microsystems, Inc.

Supported Python versions:

  • Intel® Distribution for Python 3.5, 3.6 (64-bit) for Windows* OS

MPI implementations that Intel® DAAL for Windows* OS has been validated against:

Linux* OS

Supported Operating Systems

  • Red Hat* Enterprise Linux* 6 
  • Red Hat* Enterprise Linux* 7 
  • Red Hat Fedora* 27
  • Red Hat Fedora* 28
  • SUSE Linux Enterprise Server* 12 SP1
  • SUSE Linux Enterprise Server* 12 SP2
  • SUSE Linux Enterprise Server* 12 SP3
  • Debian* GNU/Linux 8 
  • Debian* GNU/Linux 9 
  • Ubuntu* 16.04 
  • Ubuntu* 16.10 
  • Ubuntu* 17.04 

Note: Intel® DAAL is expected to work on many more Linux distributions as well. Let us know if you have trouble with the distribution you use.

Supported C/C++* compilers for Linux* OS:

  • Intel® C++ Compiler 17.0 and later for Linux* OS
  • GNU Compiler Collection 5.0 and later

Supported Java* compilers:

  • Java* SE 7 and later from Sun Microsystems, Inc.

Supported Python versions:

  • Intel® Distribution for Python 2.7, 3.5, 3.6 (64-bit) for Linux* OS
  • Python* 2.7, 3.5, 3.6 (64-bit) for Linux* OS

MPI implementations that Intel® DAAL for Linux* OS has been validated against:

macOS*

Supported Operating Systems

  • macOS* 10.12
  • macOS* 10.13

Supported C/C++* compilers for macOS*:

  • Intel® C++ Compiler 17.0 and later for macOS*
  • Xcode* 8, 9

Supported Java* compilers:

  • Java* SE 7 and later from Sun Microsystems, Inc.

Supported Python versions:

  • Intel® Distribution for Python 2.7, 3.5, 3.6 (64-bit) for macOS*
  • Python* 2.7, 3.5, 3.6 (64-bit) for macOS*

Database

  • MySQL 5.x
  • KDB+ 3.4

Hadoop* implementations that Intel® DAAL has been validated against:

  • Hadoop* 2.7

Note: Intel® DAAL is expected to work on many more Hadoop* distributions as well. Let us know if you have trouble with the distribution you use.

Spark* implementations that Intel® DAAL has been validated against:

  • Spark* 2.0

Note: Intel® DAAL is expected to work on many more Spark* distributions as well. Let us know if you have trouble with the distribution you use.

For more complete information about compiler optimizations, see our Optimization Notice.